package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 认证审核类型 ADD 新增 MODIFY 修改
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum EVipRecordStatus implements BaseEnum<String, EVipRecordStatus> {

    //状态 ADD:新增，DEDUCTION:扣减,UPDATE:变更
    ADD("新增"),
    DEDUCTION("扣减"),
    UPDATE("变更"),

    ;
    @EnumValue
    private String code;
    private String name;

    EVipRecordStatus(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}